Package org.openoffice.da.comp.w2lcommon.helper

# Class PropertyHelper

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.PropertyHelper

public class PropertyHelper extends Object
This class provides access by name to a `PropertyValue` array

## Constructor Summary

Constructors
Constructor
Description
`PropertyHelper()`
`PropertyHelper(com.sun.star.beans.PropertyValue[] props)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(String sName)`
`Enumeration<String>`
`keys()`
`void`
`put(String sName, Object value)`
`com.sun.star.beans.PropertyValue[]`
`toArray()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyHelper

public PropertyHelper()

### PropertyHelper

public PropertyHelper(com.sun.star.beans.PropertyValue[] props)

## Method Details

### put

public void put(String sName, Object value)

### get

public Object get(String sName)

### keys

public Enumeration<String> keys()

### toArray

public com.sun.star.beans.PropertyValue[] toArray()